### Signal

# Aravis Stream::new-buffer

since: 0.2.0

#### Declaration

    void
    new_buffer (
      ArvStream* self,
      gpointer user_data
    )

#### Description [src]

Signal that a new buffer is available.

This signal is emited from the stream receive thread and only when the “emit-signals” property is `TRUE`.

The new buffer can be retrieved with arv_stream_pop_buffer().

Note that this signal is only emited when the “emit-signals” property is set to `TRUE`, which it is not by default for performance reasons.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.2.0